=== debian/changelog ===
ros-rolling-rosidl-runtime-cpp (3.0.1-1focal) focal; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosidl-runtime-cpp (3.0.0-1focal) focal; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.5.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Aug 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.4.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Jul 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.3.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.2.1-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#581 <https://github.com/ros2/rosidl/issues/581>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.1.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.0.3-1focal) focal; urgency=high

  * Fix typo of package name in README heading (#561 <https://github.com/ros2/rosidl/issues/561>)
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.0.2-1focal) focal; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Fix item number in QD (#546 <https://github.com/ros2/rosidl/issues/546>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Louise Poubel, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.0.1-1focal) focal; urgency=high

  * QD: Add links to hosted API docs (#533 <https://github.com/ros2/rosidl/issues/533>)
  * Updated Quality Level to 1 (#532 <https://github.com/ros2/rosidl/issues/532>)
  * Add benchmarks for rosidl_runtime_* packages (#521 <https://github.com/ros2/rosidl/issues/521>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (2.0.0-1focal) focal; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (1.1.0-1focal) focal; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Fix misuses of input iterators in BoundedVector (#493 <https://github.com/ros2/rosidl/issues/493>)
  * Update QD to reflect QL 2 statuses (#499 <https://github.com/ros2/rosidl/issues/499>)
  * Contributors: Jacob Perron, Jonathan Wakely, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (1.0.1-1focal) focal; urgency=high

  * Fix move assignment of bounded vector (#496 <https://github.com/ros2/rosidl/issues/496>)
  * Fix bug inserting bounded_vector in reverse order (#444 <https://github.com/ros2/rosidl/issues/444>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#494 <https://github.com/ros2/rosidl/issues/494>)
  * QD Update Version Stability to stable version (#495 <https://github.com/ros2/rosidl/issues/495>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jacob Perron, Carlos San Vicente

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (1.0.0-1focal) focal; urgency=high

  * Clean up BoundedVector (#487 <https://github.com/ros2/rosidl/issues/487>)
  * Contributors: Jonathan Wakely

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (0.9.2-1focal) focal; urgency=high

  * Update API documentation (#488 <https://github.com/ros2/rosidl/issues/488>)
  * Add tests (#484 <https://github.com/ros2/rosidl/issues/484>)
  * Add feature documentation (#482 <https://github.com/ros2/rosidl/issues/482>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (0.9.1-1focal) focal; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Package READMEs and QUALITY_DECLARATIONS for runtime packages (#480 <https://github.com/ros2/rosidl/issues/480>)
  * Added doxyfile in rosidl_runtime_c and rosidl_runtime_cpp (#474 <https://github.com/ros2/rosidl/issues/474>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rosidl-runtime-cpp (0.9.0-1focal) focal; urgency=high

  * Export targets in a addition to include directories / libraries (#471 <https://github.com/ros2/rosidl/issues/471>)
  * Rename rosidl_runtime_c_message_initialization to rosidl_runtime_c__message_initialization (#464 <https://github.com/ros2/rosidl/issues/464>)

